cURL
curl --request GET \
--url https://api.vooma.ai/v0/quotes/{quoteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vooma.ai/v0/quotes/{quoteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vooma.ai/v0/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quote": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"freightOrder": {
"commodities": [
{
"description": "<string>",
"isStackable": true,
"itemReference": {
"value": "<string>"
},
"dimensions": {
"height": {
"value": 123
},
"width": {
"value": 123
},
"length": {
"value": 123
}
},
"weight": {
"value": 123
},
"hazmat": {
"classifications": [
{}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"reference": {
"value": "<string>"
}
},
"packingGroup": "<string>",
"unNumber": "<string>",
"weight": {
"value": 123
}
},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"equipment": {
"equipmentLength": {
"value": 123
},
"temperature": {
"max": 123,
"min": 123
},
"description": "<string>"
},
"customer": {
"id": "<string>",
"name": "<string>",
"externalIds": [
{
"value": "<string>"
}
],
"contacts": [
{
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
]
},
"route": {
"stops": [
{
"location": {
"externalIds": [
{
"value": "<string>"
}
],
"address": {
"country": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"addressTwo": "<string>",
"addressOne": "<string>"
},
"id": "<string>",
"geoCoordinates": {
"longitude": 123,
"latitude": 123
},
"hours": {
"sunday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"saturday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"friday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"thursday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"wednesday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"tuesday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"monday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
}
},
"contacts": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
],
"name": "<string>"
},
"notes": "<string>",
"dateTimeRange": {
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
}
],
"mileage": {
"value": 123
}
},
"freightModeDetails": {},
"documents": [
{
"url": "<string>",
"id": "<string>"
}
],
"totalWeight": {
"value": 123
}
},
"additionalUsers": [
{
"id": "<string>",
"externalIds": [
{
"value": "<string>"
}
]
}
],
"tags": {
"isAuction": true
},
"automation": {
"requestedByUser": true,
"identifiedByVooma": true
},
"externalIds": [
{
"type": "<string>",
"value": "<string>"
}
],
"carrierRate": {
"id": "<string>",
"amount": {
"value": 123
},
"externalIds": [
{
"value": "<string>"
}
],
"components": [
{
"amount": {
"value": 123
},
"description": "<string>"
}
]
},
"customerRate": {
"id": "<string>",
"amount": {
"value": 123
},
"externalIds": [
{
"value": "<string>"
}
],
"components": [
{
"amount": {
"value": 123
},
"description": "<string>"
}
]
},
"user": {
"id": "<string>",
"externalIds": [
{
"value": "<string>"
}
]
},
"requestedByEmail": "<string>",
"customFreightTags": [
"<string>"
],
"responseTimeSeconds": 123,
"linkedShipments": [
{
"voomaMovementId": "<string>",
"shipmentReferenceNumbers": [
"<string>"
],
"voomaShipmentId": "<string>",
"shipmentExternalId": "<string>",
"confidence": 123
}
]
}
}Quotes
Get Quote
GET
/
quotes
/
{quoteId}
cURL
⌘I

